\name{VBDVS_armadillo}
\alias{VBDVS_armadillo}

\title{This Rcpp Version for Variational Bayes Dynamic Variable Selection}

\description{
Currently there is one main function contianed in this package, which is \code{VBDVS_armadillo}, the basic usage of this function is deomonstrated as following
}
\usage{
res <- VBDVS_cpp(list(
    y=y,
    x=x,
    maxiter=100,
    prior=2,
    q=0,
    delta=0.9,
    c0=25,
    h0=12,
    g0=1
  ))

}
\arguments{
\code{VBDVS_cpp} will return a list with following fields as input
  \item{y}{A numeric response vector}
  \item{x}{A covariate matrix}
  \item{maxiter}{Maximum number for iteration}
  \item{prior}{1 for Non-shrinkage; 2 for Shrinkage prior}
  \item{q}{Never apply DVS prior on the first q predictors, it can either take 0 or any integer greater than 0 but less than p. Typically this refers to the concern about not imposing shrkinkage on intercept or AR coefficients}
  \item{delta}{Coefficient to describe stochastic volatility}
  \item{c0}{The first coefficient of gamma prior governing the error term of state equation}
  \item{g0}{The first coefficient of gamma prior governing the variance of shrinkage prior}
  \item{h0}{The second cofficient of gamma prior governing the variance of shrinkage prior}
}
\value{
  \code{VBDVS_cpp} will return a list with each field as following
  
  \describe{

\item{\code{beta}}{Estimated time-varying coefficients}

\item{\code{V}}{Smoothed Variance Covariante matrix}

\item{\code{sigma_t}}{Estimated time-varying volatilites}

\item{\code{tv_probs}}{Time-varying posterior probabilities}

}
  
}

\examples{
  res <- VBDVS_cpp(list(
    y=y,
    x=x,
    maxiter=100,
    prior=2,
    q=0,
    delta=0.9,
    c0=25,
    h0=12,
    g0=1
  ))
}

\author{Yaohan Chen}


